function [ W_new ] = add_dominant_self_loops(W)
%ADD Adds self-loops weighted higher than any other out-edges (per out-neighborhood), preserving row sums.

eps = 1e-08;
n = size(W, 1);

W_new = W;

W_new = W_new - spdiags(diag(W_new), 0, n, n);
rowmaxs = max(W_new, [], 2);
scale = max(max(W_new)) - min(min(W_new));
self_weights = rowmaxs + eps + scale * rand(n, 1);
W_new = W_new + spdiags(self_weights, 0, n, n);
W_new = rowstoch(W_new);
W_new = spdiags(sum(W, 2), 0, n, n) * W_new;

I = speye(n, n);

Wd = diag(W);
Wd_mat = spdiags(diag(W), 0, n, n);
P = spdiags(Wd > max(W - Wd_mat, [], 2), 0, n, n);
W_new = P * W + (I - P) * W_new;

end

