// NIX compat

#ifndef __NIX_COMPAT_H__
#define __NIX_COMPAT_H__

#include <stdint.h>
#include <algorithm>
#include <cctype>
#include <cstdio>
#include <cstring>
#include <functional>
#include <string>
#include <sstream>
#include <unistd.h>
#include <time.h>

inline std::string& strlwr(std::string& s);

inline std::string strlower(const std::string& s);

void _strlwr_s(char* str, size_t sizeInBytes);

void _ltoa_s(long value, char* str, size_t sizeOfstr, int radix = 10);

void _ultoa_s(unsigned long value, char* str, size_t sizeOfstr, int radix = 10);

void _gcvt_s(char* buffer, size_t sizeInBytes, double value, int digits);

uint32_t GetTickCount();

#endif // __NIX_COMPAT_H__