function complex_net_package_make()

fprintf(2, 'Building Complex Network Package\n');
t0 = tic;

mex_root_path = fileparts(mfilename('fullpath'));
build_dir_path = [ mex_root_path, '/../../mex-build-', get_os_name(), '/' ];
ensure_dir_exists_and_writable(build_dir_path);

module_names = complex_net_package_module_list();
for i = 1 : length(module_names)
    module_name = module_names{i};
    make = [module_name, '_make'];
    if(~exist([make, '.m'], 'file'))
        error('Module %s does not exist.', module_name);
    end
    fprintf('Module [%s]\n', module_name);
    eval(make);
    
    if(exist(module_name, 'file') ~= 3)
        warning('Compilation failed.');
    else
        module_path = [ mex_root_path, '/', module_name, '/' ];
        cmd = [
            'cp ', ...
            module_path, module_name, '.mex* ', ...
            build_dir_path ...
        ];
        unix(cmd);
        cmd = [
            'cp ', ...
            module_path, module_name, '.m.stub ', ...
            build_dir_path, module_name, '.m' ...
        ];
        unix(cmd);
    end
end

complex_net_package_make_clean;
addpath(build_dir_path);

fprintf(2, 'ALL DONE in %fsec.\n\n', toc(t0));

end