function [ adj ] = cnp_gen_scalefree_net(nnodes, gamma)
%CNP_GEN_SCALEFREE_NET Generates a scale-free network

if(nargin < 1)
    error('Specify at least the number of nodes in the target graph.');
end
if(nargin < 2)
    gamma = -2.1;
elseif(gamma < -3 || gamma > -2)
    error('alpha should be between -3 and -2.');
end

XAxis  = unique(round(logspace(0, log10(nnodes), 25)));
YAxis  = unique(round(logspace(0, log10(nnodes), 25))) .^ (gamma + 1);

cmd = 'graph = mexGraphCreateRandomGraph(nnodes, XAxis, YAxis, 1);';
evalc(cmd);
adj = sparse(min(nnodes, graph.Data(:, 1)), min(nnodes, graph.Data(:, 2)), graph.Data(:, 3), nnodes, nnodes);

end

