% A convenient MATLAB script that can check out a part of markov-tools Git repository.

error('Edit markov_tools_git_url (and, if necessary, line ''echo "mfpt-tools"'' to specify which part of the repo to check out); move this file to the MATLAB project''s root; and remove this line before running the script.');

markov_tools_git_url = 'git@...';
markov_tools_dname = 'markov-tools';
markov_tools_dpath = fullfile(fileparts(mfilename('fullpath')), markov_tools_dname);

if unix(sprintf('test -d "%s"', markov_tools_dpath)) && exist('mfpt_est', 'file') ~= 2
	fprintf('* Checking out markov-tools.\n');
	fail = false;
	script = {
		'mkdir {MARKOV_TOOLS_DPATH}', ...
		'cd {MARKOV_TOOLS_DPATH} && git init', ...
		'cd {MARKOV_TOOLS_DPATH} && git config core.sparseCheckout true', ...
		[ 'cd {MARKOV_TOOLS_DPATH} && git remote add -f origin ', markov_tools_git_url ], ...
		'cd {MARKOV_TOOLS_DPATH} && echo "mfpt-tools" > .git/info/sparse-checkout', ...
		'cd {MARKOV_TOOLS_DPATH} && git checkout master' ...
	};
	for icmd = 1 : length(script)
		cmd = strrep(script{icmd}, '{MARKOV_TOOLS_DPATH}', markov_tools_dpath);	
		[status, cmdout] = unix(cmd);
		if status ~= 0
			warning('Setup command "%s" failed.', cmd);
			fail = true;
			break;
		end
	end
	if fail
		fprintf('* Failed to check out markov-tools.\n');
	else
		fprintf('* Successfully checked out markov-tools.\n');
	end
end


